Query Community Users
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
1 - 900Query Parameters
Membership type to filter (If not filter will return both banned user and member)
1 - 2 elementsbanned, member Filter users by their community roles
1 - 20 elements1 - 100The default value depends on the search parameter.
- If
searchparameter is not set, the default value islastCreated. - If
searchparameter is set, the default value isdisplayName.
firstCreated, lastCreated, displayName, profileHandle, lastJoin, firstJoin Number of results per page (1-100)
1 <= x <= 100Pagination token for getting next/previous pages
1000Keyword to search for in user information such as displayName, profileHandle, and userId. The search is case-insensitive and supports partial matches.
10000Fields to search community users for the search keyword (must be used with a search parameter), Default is all three fields
displayName- Search by display name. When using withsortByparameter the applicable sort order isdisplayName,lastCreatedorfirstCreated. Default tolastCreated.profileHandle- Search by profile handle, when using withsortByparameter the applicable sort order isprofileHandle,lastCreatedorfirstCreated. Default tolastCreated.userId- Search by user id, when using withsortByparameter the applicable sort order islastCreated,firstCreatedordisplayName. Default tolastCreated.
3displayName, profileHandle, userId type of communityId
public, internal filter deleted members if isDeleted is null, will return both deleted and non-deleted members